{% extends 'form_div_layout.html.twig' %}

{% block form_row -%}
    {{- form_widget(form) -}}
{%- endblock form_row %}

{% block form_widget_simple -%}
    {% if type is not defined or type not in ['file', 'hidden'] %}
        {% include 'component/mdc_text_field_component.html.twig' with {
            'id': id ~ '_mdc_text_field',
            'name': full_name,
            'label': label,
            'labelId': id,
            'type': (type is not defined) ? 'text' : type,
            'value': value,
            'required': false,
            'disabled': disabled,
            'suffix': (suffix is not defined) ? null : suffix,
        } only %}
    {% else %}
        {{ parent() }}
    {% endif %}
{%- endblock %}

{% block choice_row -%}
    {% include 'component/mdc_select_component.html.twig' with {
        'id': id ~ '_mdc_select',
        'name': full_name,
        'label': label,
        'labelId': id,
        'value': value,
        'choiceViews': choices,
        'required': required,
        'disabled': disabled
    } only %}
{%- endblock %}

{% block checkbox_widget -%}
    {% include 'component/mdc_checkbox_component.html.twig' with {
        'formfieldId': id ~ '_mdc_form_field',
        'checkboxId': id ~ '_mdc_checkbox',
        'name': full_name,
        'label': label,
        'labelId': id,
        'value': value,
        'checked': checked,
        'disabled': disabled
    } only %}
{%- endblock %}

{% block textarea_widget -%}
    {% include 'component/mdc_text_area_component.html.twig' with {
        'id': id ~ '_mdc_text_field',
        'name': full_name,
        'label': label,
        'labelId': id,
        'value': value,
        'required': required,
        'disabled': disabled,
        'rows': (rows is not defined) ? 8 : rows
    } only %}
{%- endblock %}
